Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.model.analysisMetaModel
Interface MIAnalysisMetaModelPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MAnalysisMetaModelPackage

    public interface MIAnalysisMetaModelPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `MIAnalysisMetaModelFactory`
Generated:
Model:
  kind="package"

Nested Class Summary
`static interface` | `MIAnalysisMetaModelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `ANALYSIS_COMPONENT` The meta object id for the '`Analysis Component`' class.
`static int` | `ANALYSIS_COMPONENT__CLASSNAME` The feature id for the 'Classname' attribute.
`static int` | `ANALYSIS_COMPONENT__ID` The feature id for the 'Id' attribute.
`static int` | `ANALYSIS_COMPONENT__NAME` The feature id for the 'Name' attribute.
`static int` | `ANALYSIS_COMPONENT__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` | `ANALYSIS_COMPONENT_FEATURE_COUNT` The number of structural features of the 'Analysis Component' class.
`static int` | `DEPENDENCY` The meta object id for the '`Dependency`' class.
`static int` | `DEPENDENCY__FILE_PATH` The feature id for the 'File Path' attribute.
`static int` | `DEPENDENCY_FEATURE_COUNT` The number of structural features of the 'Dependency' class.
`static int` | `DISPLAY` The meta object id for the '`Display`' class.
`static int` | `DISPLAY__ID` The feature id for the 'Id' attribute.
`static int` | `DISPLAY__NAME` The feature id for the 'Name' attribute.
`static int` | `DISPLAY__PARENT` The feature id for the 'Parent' container reference.
`static int` | `DISPLAY_CONNECTOR` The meta object id for the '`Display Connector`' class.
`static int` | `DISPLAY_CONNECTOR__DISPLAY` The feature id for the 'Display' reference.
`static int` | `DISPLAY_CONNECTOR__ID` The feature id for the 'Id' attribute.
`static int` | `DISPLAY_CONNECTOR__NAME` The feature id for the 'Name' attribute.
`static int` | `DISPLAY_CONNECTOR_FEATURE_COUNT` The number of structural features of the 'Display Connector' class.
`static int` | `DISPLAY_FEATURE_COUNT` The number of structural features of the 'Display' class.
`static MIAnalysisMetaModelPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `FILTER` The meta object id for the '`Filter`' class.
`static int` | `FILTER__CLASSNAME` The feature id for the 'Classname' attribute.
`static int` | `FILTER__DISPLAYS` The feature id for the 'Displays' containment reference list.
`static int` | `FILTER__ID` The feature id for the 'Id' attribute.
`static int` | `FILTER__INPUT_PORTS` The feature id for the 'Input Ports' containment reference list.
`static int` | `FILTER__NAME` The feature id for the 'Name' attribute.
`static int` | `FILTER__OUTPUT_PORTS` The feature id for the 'Output Ports' containment reference list.
`static int` | `FILTER__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` | `FILTER__REPOSITORIES` The feature id for the 'Repositories' containment reference list.
`static int` | `FILTER_FEATURE_COUNT` The number of structural features of the 'Filter' class.
`static int` | `INPUT_PORT` The meta object id for the '`Input Port`' class.
`static int` | `INPUT_PORT__EVENT_TYPES` The feature id for the 'Event Types' attribute list.
`static int` | `INPUT_PORT__ID` The feature id for the 'Id' attribute.
`static int` | `INPUT_PORT__NAME` The feature id for the 'Name' attribute.
`static int` | `INPUT_PORT__PARENT` The feature id for the 'Parent' container reference.
`static int` | `INPUT_PORT_FEATURE_COUNT` The number of structural features of the 'Input Port' class.
`static int` | `OUTPUT_PORT` The meta object id for the '`Output Port`' class.
`static int` | `OUTPUT_PORT__EVENT_TYPES` The feature id for the 'Event Types' attribute list.
`static int` | `OUTPUT_PORT__ID` The feature id for the 'Id' attribute.
`static int` | `OUTPUT_PORT__NAME` The feature id for the 'Name' attribute.
`static int` | `OUTPUT_PORT__PARENT` The feature id for the 'Parent' container reference.
`static int` | `OUTPUT_PORT__SUBSCRIBERS` The feature id for the 'Subscribers' reference list.
`static int` | `OUTPUT_PORT_FEATURE_COUNT` The number of structural features of the 'Output Port' class.
`static int` | `PLUGIN` The meta object id for the '`Plugin`' class.
`static int` | `PLUGIN__CLASSNAME` The feature id for the 'Classname' attribute.
`static int` | `PLUGIN__DISPLAYS` The feature id for the 'Displays' containment reference list.
`static int` | `PLUGIN__ID` The feature id for the 'Id' attribute.
`static int` | `PLUGIN__NAME` The feature id for the 'Name' attribute.
`static int` | `PLUGIN__OUTPUT_PORTS` The feature id for the 'Output Ports' containment reference list.
`static int` | `PLUGIN__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` | `PLUGIN__REPOSITORIES` The feature id for the 'Repositories' containment reference list.
`static int` | `PLUGIN_FEATURE_COUNT` The number of structural features of the 'Plugin' class.
`static int` | `PORT` The meta object id for the '`Port`' class.
`static int` | `PORT__EVENT_TYPES` The feature id for the 'Event Types' attribute list.
`static int` | `PORT__ID` The feature id for the 'Id' attribute.
`static int` | `PORT__NAME` The feature id for the 'Name' attribute.
`static int` | `PORT_FEATURE_COUNT` The number of structural features of the 'Port' class.
`static int` | `PROJECT` The meta object id for the '`Project`' class.
`static int` | `PROJECT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` | `PROJECT__NAME` The feature id for the 'Name' attribute.
`static int` | `PROJECT__PLUGINS` The feature id for the 'Plugins' containment reference list.
`static int` | `PROJECT__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` | `PROJECT__REPOSITORIES` The feature id for the 'Repositories' containment reference list.
`static int` | `PROJECT__VIEWS` The feature id for the 'Views' containment reference list.
`static int` | `PROJECT_FEATURE_COUNT` The number of structural features of the 'Project' class.
`static int` | `PROPERTY` The meta object id for the '`Property`' class.
`static int` | `PROPERTY__NAME` The feature id for the 'Name' attribute.
`static int` | `PROPERTY__VALUE` The feature id for the 'Value' attribute.
`static int` | `PROPERTY_FEATURE_COUNT` The number of structural features of the 'Property' class.
`static int` | `READER` The meta object id for the '`Reader`' class.
`static int` | `READER__CLASSNAME` The feature id for the 'Classname' attribute.
`static int` | `READER__DISPLAYS` The feature id for the 'Displays' containment reference list.
`static int` | `READER__ID` The feature id for the 'Id' attribute.
`static int` | `READER__NAME` The feature id for the 'Name' attribute.
`static int` | `READER__OUTPUT_PORTS` The feature id for the 'Output Ports' containment reference list.
`static int` | `READER__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` | `READER__REPOSITORIES` The feature id for the 'Repositories' containment reference list.
`static int` | `READER_FEATURE_COUNT` The number of structural features of the 'Reader' class.
`static int` | `REPOSITORY` The meta object id for the '`Repository`' class.
`static int` | `REPOSITORY__CLASSNAME` The feature id for the 'Classname' attribute.
`static int` | `REPOSITORY__ID` The feature id for the 'Id' attribute.
`static int` | `REPOSITORY__NAME` The feature id for the 'Name' attribute.
`static int` | `REPOSITORY__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` | `REPOSITORY_CONNECTOR` The meta object id for the '`Repository Connector`' class.
`static int` | `REPOSITORY_CONNECTOR__ID` The feature id for the 'Id' attribute.
`static int` | `REPOSITORY_CONNECTOR__NAME` The feature id for the 'Name' attribute.
`static int` | `REPOSITORY_CONNECTOR__REPOSITORY` The feature id for the 'Repository' reference.
`static int` | `REPOSITORY_CONNECTOR_FEATURE_COUNT` The number of structural features of the 'Repository Connector' class.
`static int` | `REPOSITORY_FEATURE_COUNT` The number of structural features of the 'Repository' class.
`static int` | `VIEW` The meta object id for the '`View`' class.
`static int` | `VIEW__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `VIEW__DISPLAY_CONNECTORS` The feature id for the 'Display Connectors' containment reference list.
`static int` | `VIEW__ID` The feature id for the 'Id' attribute.
`static int` | `VIEW__NAME` The feature id for the 'Name' attribute.
`static int` | `VIEW_FEATURE_COUNT` The number of structural features of the 'View' class.

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getAnalysisComponent_Classname()` Returns the meta object for the attribute '`Classname`'.
`org.eclipse.emf.ecore.EAttribute` | `getAnalysisComponent_Id()` Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getAnalysisComponent_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getAnalysisComponent_Properties()` Returns the meta object for the containment reference list '`Properties`'.
`org.eclipse.emf.ecore.EClass` | `getAnalysisComponent()` Returns the meta object for class '`Analysis Component`'.
`MIAnalysisMetaModelFactory` | `getAnalysisMetaModelFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` | `getDependency_FilePath()` Returns the meta object for the attribute '`File Path`'.
`org.eclipse.emf.ecore.EClass` | `getDependency()` Returns the meta object for class '`Dependency`'.
`org.eclipse.emf.ecore.EAttribute` | `getDisplay_Id()` Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getDisplay_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getDisplay_Parent()` Returns the meta object for the container reference '`Parent`'.
`org.eclipse.emf.ecore.EClass` | `getDisplay()` Returns the meta object for class '`Display`'.
`org.eclipse.emf.ecore.EReference` | `getDisplayConnector_Display()` Returns the meta object for the reference '`Display`'.
`org.eclipse.emf.ecore.EAttribute` | `getDisplayConnector_Id()` Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getDisplayConnector_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EClass` | `getDisplayConnector()` Returns the meta object for class '`Display Connector`'.
`org.eclipse.emf.ecore.EReference` | `getFilter_InputPorts()` Returns the meta object for the containment reference list '`Input Ports`'.
`org.eclipse.emf.ecore.EClass` | `getFilter()` Returns the meta object for class '`Filter`'.
`org.eclipse.emf.ecore.EReference` | `getInputPort_Parent()` Returns the meta object for the container reference '`Parent`'.
`org.eclipse.emf.ecore.EClass` | `getInputPort()` Returns the meta object for class '`Input Port`'.
`org.eclipse.emf.ecore.EReference` | `getOutputPort_Parent()` Returns the meta object for the container reference '`Parent`'.
`org.eclipse.emf.ecore.EReference` | `getOutputPort_Subscribers()` Returns the meta object for the reference list '`Subscribers`'.
`org.eclipse.emf.ecore.EClass` | `getOutputPort()` Returns the meta object for class '`Output Port`'.
`org.eclipse.emf.ecore.EReference` | `getPlugin_Displays()` Returns the meta object for the containment reference list '`Displays`'.
`org.eclipse.emf.ecore.EReference` | `getPlugin_OutputPorts()` Returns the meta object for the containment reference list '`Output Ports`'.
`org.eclipse.emf.ecore.EReference` | `getPlugin_Repositories()` Returns the meta object for the containment reference list '`Repositories`'.
`org.eclipse.emf.ecore.EClass` | `getPlugin()` Returns the meta object for class '`Plugin`'.
`org.eclipse.emf.ecore.EAttribute` | `getPort_EventTypes()` Returns the meta object for the attribute list '`Event Types`'.
`org.eclipse.emf.ecore.EAttribute` | `getPort_Id()` Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getPort_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EClass` | `getPort()` Returns the meta object for class '`Port`'.
`org.eclipse.emf.ecore.EReference` | `getProject_Dependencies()` Returns the meta object for the containment reference list '`Dependencies`'.
`org.eclipse.emf.ecore.EAttribute` | `getProject_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getProject_Plugins()` Returns the meta object for the containment reference list '`Plugins`'.
`org.eclipse.emf.ecore.EReference` | `getProject_Properties()` Returns the meta object for the containment reference list '`Properties`'.
`org.eclipse.emf.ecore.EReference` | `getProject_Repositories()` Returns the meta object for the containment reference list '`Repositories`'.
`org.eclipse.emf.ecore.EReference` | `getProject_Views()` Returns the meta object for the containment reference list '`Views`'.
`org.eclipse.emf.ecore.EClass` | `getProject()` Returns the meta object for class '`Project`'.
`org.eclipse.emf.ecore.EAttribute` | `getProperty_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getProperty_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getProperty()` Returns the meta object for class '`Property`'.
`org.eclipse.emf.ecore.EClass` | `getReader()` Returns the meta object for class '`Reader`'.
`org.eclipse.emf.ecore.EClass` | `getRepository()` Returns the meta object for class '`Repository`'.
`org.eclipse.emf.ecore.EAttribute` | `getRepositoryConnector_Id()` Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getRepositoryConnector_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getRepositoryConnector_Repository()` Returns the meta object for the reference '`Repository`'.
`org.eclipse.emf.ecore.EClass` | `getRepositoryConnector()` Returns the meta object for class '`Repository Connector`'.
`org.eclipse.emf.ecore.EAttribute` | `getView_Description()` Returns the meta object for the attribute '`Description`'.
`org.eclipse.emf.ecore.EReference` | `getView_DisplayConnectors()` Returns the meta object for the containment reference list '`Display Connectors`'.
`org.eclipse.emf.ecore.EAttribute` | `getView_Id()` Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getView_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EClass` | `getView()` Returns the meta object for class '`View`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values
  Generated:

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values
  Generated:

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values
  Generated:

### eINSTANCE

    static final MIAnalysisMetaModelPackage eINSTANCE

  The singleton instance of the package.

  Generated:

### PROJECT

    static final int PROJECT

  The meta object id for the '`Project`' class.

  See Also:
    `MProject`, `MAnalysisMetaModelPackage.getProject()`, Constant Field Values
  Generated:

### PROJECT__PLUGINS

    static final int PROJECT__PLUGINS

  The feature id for the 'Plugins' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PROJECT__NAME

    static final int PROJECT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PROJECT__REPOSITORIES

    static final int PROJECT__REPOSITORIES

  The feature id for the 'Repositories' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PROJECT__DEPENDENCIES

    static final int PROJECT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PROJECT__VIEWS

    static final int PROJECT__VIEWS

  The feature id for the 'Views' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PROJECT__PROPERTIES

    static final int PROJECT__PROPERTIES

  The feature id for the 'Properties' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PROJECT_FEATURE_COUNT

    static final int PROJECT_FEATURE_COUNT

  The number of structural features of the 'Project' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### ANALYSIS_COMPONENT

    static final int ANALYSIS_COMPONENT

  The meta object id for the '`Analysis Component`' class.

  See Also:
    `MAnalysisComponent`, `MAnalysisMetaModelPackage.getAnalysisComponent()`, Constant Field Values
  Generated:

### ANALYSIS_COMPONENT__NAME

    static final int ANALYSIS_COMPONENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### ANALYSIS_COMPONENT__CLASSNAME

    static final int ANALYSIS_COMPONENT__CLASSNAME

  The feature id for the 'Classname' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### ANALYSIS_COMPONENT__PROPERTIES

    static final int ANALYSIS_COMPONENT__PROPERTIES

  The feature id for the 'Properties' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### ANALYSIS_COMPONENT__ID

    static final int ANALYSIS_COMPONENT__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### ANALYSIS_COMPONENT_FEATURE_COUNT

    static final int ANALYSIS_COMPONENT_FEATURE_COUNT

  The number of structural features of the 'Analysis Component' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PLUGIN

    static final int PLUGIN

  The meta object id for the '`Plugin`' class.

  See Also:
    `MPlugin`, `MAnalysisMetaModelPackage.getPlugin()`, Constant Field Values
  Generated:

### PLUGIN__NAME

    static final int PLUGIN__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PLUGIN__CLASSNAME

    static final int PLUGIN__CLASSNAME

  The feature id for the 'Classname' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PLUGIN__PROPERTIES

    static final int PLUGIN__PROPERTIES

  The feature id for the 'Properties' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PLUGIN__ID

    static final int PLUGIN__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PLUGIN__REPOSITORIES

    static final int PLUGIN__REPOSITORIES

  The feature id for the 'Repositories' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PLUGIN__OUTPUT_PORTS

    static final int PLUGIN__OUTPUT_PORTS

  The feature id for the 'Output Ports' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PLUGIN__DISPLAYS

    static final int PLUGIN__DISPLAYS

  The feature id for the 'Displays' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PLUGIN_FEATURE_COUNT

    static final int PLUGIN_FEATURE_COUNT

  The number of structural features of the 'Plugin' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PORT

    static final int PORT

  The meta object id for the '`Port`' class.

  See Also:
    `MPort`, `MAnalysisMetaModelPackage.getPort()`, Constant Field Values
  Generated:

### PORT__NAME

    static final int PORT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PORT__EVENT_TYPES

    static final int PORT__EVENT_TYPES

  The feature id for the 'Event Types' attribute list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PORT__ID

    static final int PORT__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PORT_FEATURE_COUNT

    static final int PORT_FEATURE_COUNT

  The number of structural features of the 'Port' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### INPUT_PORT

    static final int INPUT_PORT

  The meta object id for the '`Input Port`' class.

  See Also:
    `MInputPort`, `MAnalysisMetaModelPackage.getInputPort()`, Constant Field Values
  Generated:

### INPUT_PORT__NAME

    static final int INPUT_PORT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### INPUT_PORT__EVENT_TYPES

    static final int INPUT_PORT__EVENT_TYPES

  The feature id for the 'Event Types' attribute list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### INPUT_PORT__ID

    static final int INPUT_PORT__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### INPUT_PORT__PARENT

    static final int INPUT_PORT__PARENT

  The feature id for the 'Parent' container reference.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### INPUT_PORT_FEATURE_COUNT

    static final int INPUT_PORT_FEATURE_COUNT

  The number of structural features of the 'Input Port' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### OUTPUT_PORT

    static final int OUTPUT_PORT

  The meta object id for the '`Output Port`' class.

  See Also:
    `MOutputPort`, `MAnalysisMetaModelPackage.getOutputPort()`, Constant Field Values
  Generated:

### OUTPUT_PORT__NAME

    static final int OUTPUT_PORT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### OUTPUT_PORT__EVENT_TYPES

    static final int OUTPUT_PORT__EVENT_TYPES

  The feature id for the 'Event Types' attribute list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### OUTPUT_PORT__ID

    static final int OUTPUT_PORT__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### OUTPUT_PORT__SUBSCRIBERS

    static final int OUTPUT_PORT__SUBSCRIBERS

  The feature id for the 'Subscribers' reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### OUTPUT_PORT__PARENT

    static final int OUTPUT_PORT__PARENT

  The feature id for the 'Parent' container reference.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### OUTPUT_PORT_FEATURE_COUNT

    static final int OUTPUT_PORT_FEATURE_COUNT

  The number of structural features of the 'Output Port' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PROPERTY

    static final int PROPERTY

  The meta object id for the '`Property`' class.

  See Also:
    `MProperty`, `MAnalysisMetaModelPackage.getProperty()`, Constant Field Values
  Generated:

### PROPERTY__NAME

    static final int PROPERTY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PROPERTY__VALUE

    static final int PROPERTY__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### PROPERTY_FEATURE_COUNT

    static final int PROPERTY_FEATURE_COUNT

  The number of structural features of the 'Property' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### FILTER

    static final int FILTER

  The meta object id for the '`Filter`' class.

  See Also:
    `MFilter`, `MAnalysisMetaModelPackage.getFilter()`, Constant Field Values
  Generated:

### FILTER__NAME

    static final int FILTER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### FILTER__CLASSNAME

    static final int FILTER__CLASSNAME

  The feature id for the 'Classname' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### FILTER__PROPERTIES

    static final int FILTER__PROPERTIES

  The feature id for the 'Properties' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### FILTER__ID

    static final int FILTER__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### FILTER__REPOSITORIES

    static final int FILTER__REPOSITORIES

  The feature id for the 'Repositories' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### FILTER__OUTPUT_PORTS

    static final int FILTER__OUTPUT_PORTS

  The feature id for the 'Output Ports' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### FILTER__DISPLAYS

    static final int FILTER__DISPLAYS

  The feature id for the 'Displays' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### FILTER__INPUT_PORTS

    static final int FILTER__INPUT_PORTS

  The feature id for the 'Input Ports' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### FILTER_FEATURE_COUNT

    static final int FILTER_FEATURE_COUNT

  The number of structural features of the 'Filter' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### READER

    static final int READER

  The meta object id for the '`Reader`' class.

  See Also:
    `MReader`, `MAnalysisMetaModelPackage.getReader()`, Constant Field Values
  Generated:

### READER__NAME

    static final int READER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### READER__CLASSNAME

    static final int READER__CLASSNAME

  The feature id for the 'Classname' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### READER__PROPERTIES

    static final int READER__PROPERTIES

  The feature id for the 'Properties' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### READER__ID

    static final int READER__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### READER__REPOSITORIES

    static final int READER__REPOSITORIES

  The feature id for the 'Repositories' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### READER__OUTPUT_PORTS

    static final int READER__OUTPUT_PORTS

  The feature id for the 'Output Ports' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### READER__DISPLAYS

    static final int READER__DISPLAYS

  The feature id for the 'Displays' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### READER_FEATURE_COUNT

    static final int READER_FEATURE_COUNT

  The number of structural features of the 'Reader' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### REPOSITORY

    static final int REPOSITORY

  The meta object id for the '`Repository`' class.

  See Also:
    `MRepository`, `MAnalysisMetaModelPackage.getRepository()`, Constant Field Values
  Generated:

### REPOSITORY__NAME

    static final int REPOSITORY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### REPOSITORY__CLASSNAME

    static final int REPOSITORY__CLASSNAME

  The feature id for the 'Classname' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### REPOSITORY__PROPERTIES

    static final int REPOSITORY__PROPERTIES

  The feature id for the 'Properties' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### REPOSITORY__ID

    static final int REPOSITORY__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### REPOSITORY_FEATURE_COUNT

    static final int REPOSITORY_FEATURE_COUNT

  The number of structural features of the 'Repository' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### DEPENDENCY

    static final int DEPENDENCY

  The meta object id for the '`Dependency`' class.

  See Also:
    `MDependency`, `MAnalysisMetaModelPackage.getDependency()`, Constant Field Values
  Generated:

### DEPENDENCY__FILE_PATH

    static final int DEPENDENCY__FILE_PATH

  The feature id for the 'File Path' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### DEPENDENCY_FEATURE_COUNT

    static final int DEPENDENCY_FEATURE_COUNT

  The number of structural features of the 'Dependency' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### REPOSITORY_CONNECTOR

    static final int REPOSITORY_CONNECTOR

  The meta object id for the '`Repository Connector`' class.

  See Also:
    `MRepositoryConnector`, `MAnalysisMetaModelPackage.getRepositoryConnector()`, Constant Field Values
  Generated:

### REPOSITORY_CONNECTOR__NAME

    static final int REPOSITORY_CONNECTOR__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### REPOSITORY_CONNECTOR__REPOSITORY

    static final int REPOSITORY_CONNECTOR__REPOSITORY

  The feature id for the 'Repository' reference.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### REPOSITORY_CONNECTOR__ID

    static final int REPOSITORY_CONNECTOR__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### REPOSITORY_CONNECTOR_FEATURE_COUNT

    static final int REPOSITORY_CONNECTOR_FEATURE_COUNT

  The number of structural features of the 'Repository Connector' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### DISPLAY

    static final int DISPLAY

  The meta object id for the '`Display`' class.

  See Also:
    `MDisplay`, `MAnalysisMetaModelPackage.getDisplay()`, Constant Field Values
  Generated:

### DISPLAY__NAME

    static final int DISPLAY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### DISPLAY__PARENT

    static final int DISPLAY__PARENT

  The feature id for the 'Parent' container reference.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### DISPLAY__ID

    static final int DISPLAY__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### DISPLAY_FEATURE_COUNT

    static final int DISPLAY_FEATURE_COUNT

  The number of structural features of the 'Display' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### VIEW

    static final int VIEW

  The meta object id for the '`View`' class.

  See Also:
    `MView`, `MAnalysisMetaModelPackage.getView()`, Constant Field Values
  Generated:

### VIEW__NAME

    static final int VIEW__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### VIEW__DESCRIPTION

    static final int VIEW__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### VIEW__DISPLAY_CONNECTORS

    static final int VIEW__DISPLAY_CONNECTORS

  The feature id for the 'Display Connectors' containment reference list.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### VIEW__ID

    static final int VIEW__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### VIEW_FEATURE_COUNT

    static final int VIEW_FEATURE_COUNT

  The number of structural features of the 'View' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### DISPLAY_CONNECTOR

    static final int DISPLAY_CONNECTOR

  The meta object id for the '`Display Connector`' class.

  See Also:
    `MDisplayConnector`, `MAnalysisMetaModelPackage.getDisplayConnector()`, Constant Field Values
  Generated:

### DISPLAY_CONNECTOR__NAME

    static final int DISPLAY_CONNECTOR__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### DISPLAY_CONNECTOR__DISPLAY

    static final int DISPLAY_CONNECTOR__DISPLAY

  The feature id for the 'Display' reference.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### DISPLAY_CONNECTOR__ID

    static final int DISPLAY_CONNECTOR__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

### DISPLAY_CONNECTOR_FEATURE_COUNT

    static final int DISPLAY_CONNECTOR_FEATURE_COUNT

  The number of structural features of the 'Display Connector' class.

  See Also:
    Constant Field Values
  Generated:
  Ordered:

Method Detail

### getProject

    org.eclipse.emf.ecore.EClass getProject()

  Returns the meta object for class '`Project`'.

  Returns:
    the meta object for class 'Project'.
  See Also:
    `MIProject`
  Generated:

### getProject_Plugins

    org.eclipse.emf.ecore.EReference getProject_Plugins()

  Returns the meta object for the containment reference list '`Plugins`'.

  Returns:
    the meta object for the containment reference list 'Plugins'.
  See Also:
    `MIProject.getPlugins()`, `getProject()`
  Generated:

### getProject_Name

    org.eclipse.emf.ecore.EAttribute getProject_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIProject.getName()`, `getProject()`
  Generated:

### getProject_Repositories

    org.eclipse.emf.ecore.EReference getProject_Repositories()

  Returns the meta object for the containment reference list '`Repositories`'.

  Returns:
    the meta object for the containment reference list 'Repositories'.
  See Also:
    `MIProject.getRepositories()`, `getProject()`
  Generated:

### getProject_Dependencies

    org.eclipse.emf.ecore.EReference getProject_Dependencies()

  Returns the meta object for the containment reference list '`Dependencies`'.

  Returns:
    the meta object for the containment reference list 'Dependencies'.
  See Also:
    `MIProject.getDependencies()`, `getProject()`
  Generated:

### getProject_Views

    org.eclipse.emf.ecore.EReference getProject_Views()

  Returns the meta object for the containment reference list '`Views`'.

  Returns:
    the meta object for the containment reference list 'Views'.
  See Also:
    `MIProject.getViews()`, `getProject()`
  Generated:

### getProject_Properties

    org.eclipse.emf.ecore.EReference getProject_Properties()

  Returns the meta object for the containment reference list '`Properties`'.

  Returns:
    the meta object for the containment reference list 'Properties'.
  See Also:
    `MIProject.getProperties()`, `getProject()`
  Generated:

### getPlugin

    org.eclipse.emf.ecore.EClass getPlugin()

  Returns the meta object for class '`Plugin`'.

  Returns:
    the meta object for class 'Plugin'.
  See Also:
    `MIPlugin`
  Generated:

### getPlugin_Repositories

    org.eclipse.emf.ecore.EReference getPlugin_Repositories()

  Returns the meta object for the containment reference list '`Repositories`'.

  Returns:
    the meta object for the containment reference list 'Repositories'.
  See Also:
    `MIPlugin.getRepositories()`, `getPlugin()`
  Generated:

### getPlugin_OutputPorts

    org.eclipse.emf.ecore.EReference getPlugin_OutputPorts()

  Returns the meta object for the containment reference list '`Output Ports`'.

  Returns:
    the meta object for the containment reference list 'Output Ports'.
  See Also:
    `MIPlugin.getOutputPorts()`, `getPlugin()`
  Generated:

### getPlugin_Displays

    org.eclipse.emf.ecore.EReference getPlugin_Displays()

  Returns the meta object for the containment reference list '`Displays`'.

  Returns:
    the meta object for the containment reference list 'Displays'.
  See Also:
    `MIPlugin.getDisplays()`, `getPlugin()`
  Generated:

### getPort

    org.eclipse.emf.ecore.EClass getPort()

  Returns the meta object for class '`Port`'.

  Returns:
    the meta object for class 'Port'.
  See Also:
    `MIPort`
  Generated:

### getPort_Name

    org.eclipse.emf.ecore.EAttribute getPort_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIPort.getName()`, `getPort()`
  Generated:

### getPort_EventTypes

    org.eclipse.emf.ecore.EAttribute getPort_EventTypes()

  Returns the meta object for the attribute list '`Event Types`'.

  Returns:
    the meta object for the attribute list 'Event Types'.
  See Also:
    `MIPort.getEventTypes()`, `getPort()`
  Generated:

### getPort_Id

    org.eclipse.emf.ecore.EAttribute getPort_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MIPort.getId()`, `getPort()`
  Generated:

### getInputPort

    org.eclipse.emf.ecore.EClass getInputPort()

  Returns the meta object for class '`Input Port`'.

  Returns:
    the meta object for class 'Input Port'.
  See Also:
    `MIInputPort`
  Generated:

### getInputPort_Parent

    org.eclipse.emf.ecore.EReference getInputPort_Parent()

  Returns the meta object for the container reference '`Parent`'.

  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `MIInputPort.getParent()`, `getInputPort()`
  Generated:

### getOutputPort

    org.eclipse.emf.ecore.EClass getOutputPort()

  Returns the meta object for class '`Output Port`'.

  Returns:
    the meta object for class 'Output Port'.
  See Also:
    `MIOutputPort`
  Generated:

### getOutputPort_Subscribers

    org.eclipse.emf.ecore.EReference getOutputPort_Subscribers()

  Returns the meta object for the reference list '`Subscribers`'.

  Returns:
    the meta object for the reference list 'Subscribers'.
  See Also:
    `MIOutputPort.getSubscribers()`, `getOutputPort()`
  Generated:

### getOutputPort_Parent

    org.eclipse.emf.ecore.EReference getOutputPort_Parent()

  Returns the meta object for the container reference '`Parent`'.

  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `MIOutputPort.getParent()`, `getOutputPort()`
  Generated:

### getProperty

    org.eclipse.emf.ecore.EClass getProperty()

  Returns the meta object for class '`Property`'.

  Returns:
    the meta object for class 'Property'.
  See Also:
    `MIProperty`
  Generated:

### getProperty_Name

    org.eclipse.emf.ecore.EAttribute getProperty_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIProperty.getName()`, `getProperty()`
  Generated:

### getProperty_Value

    org.eclipse.emf.ecore.EAttribute getProperty_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `MIProperty.getValue()`, `getProperty()`
  Generated:

### getFilter

    org.eclipse.emf.ecore.EClass getFilter()

  Returns the meta object for class '`Filter`'.

  Returns:
    the meta object for class 'Filter'.
  See Also:
    `MIFilter`
  Generated:

### getFilter_InputPorts

    org.eclipse.emf.ecore.EReference getFilter_InputPorts()

  Returns the meta object for the containment reference list '`Input Ports`'.

  Returns:
    the meta object for the containment reference list 'Input Ports'.
  See Also:
    `MIFilter.getInputPorts()`, `getFilter()`
  Generated:

### getReader

    org.eclipse.emf.ecore.EClass getReader()

  Returns the meta object for class '`Reader`'.

  Returns:
    the meta object for class 'Reader'.
  See Also:
    `MIReader`
  Generated:

### getRepository

    org.eclipse.emf.ecore.EClass getRepository()

  Returns the meta object for class '`Repository`'.

  Returns:
    the meta object for class 'Repository'.
  See Also:
    `MIRepository`
  Generated:

### getDependency

    org.eclipse.emf.ecore.EClass getDependency()

  Returns the meta object for class '`Dependency`'.

  Returns:
    the meta object for class 'Dependency'.
  See Also:
    `MIDependency`
  Generated:

### getDependency_FilePath

    org.eclipse.emf.ecore.EAttribute getDependency_FilePath()

  Returns the meta object for the attribute '`File Path`'.

  Returns:
    the meta object for the attribute 'File Path'.
  See Also:
    `MIDependency.getFilePath()`, `getDependency()`
  Generated:

### getRepositoryConnector

    org.eclipse.emf.ecore.EClass getRepositoryConnector()

  Returns the meta object for class '`Repository Connector`'.

  Returns:
    the meta object for class 'Repository Connector'.
  See Also:
    `MIRepositoryConnector`
  Generated:

### getRepositoryConnector_Name

    org.eclipse.emf.ecore.EAttribute getRepositoryConnector_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIRepositoryConnector.getName()`, `getRepositoryConnector()`
  Generated:

### getRepositoryConnector_Repository

    org.eclipse.emf.ecore.EReference getRepositoryConnector_Repository()

  Returns the meta object for the reference '`Repository`'.

  Returns:
    the meta object for the reference 'Repository'.
  See Also:
    `MIRepositoryConnector.getRepository()`, `getRepositoryConnector()`
  Generated:

### getRepositoryConnector_Id

    org.eclipse.emf.ecore.EAttribute getRepositoryConnector_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MIRepositoryConnector.getId()`, `getRepositoryConnector()`
  Generated:

### getDisplay

    org.eclipse.emf.ecore.EClass getDisplay()

  Returns the meta object for class '`Display`'.

  Returns:
    the meta object for class 'Display'.
  See Also:
    `MIDisplay`
  Generated:

### getDisplay_Name

    org.eclipse.emf.ecore.EAttribute getDisplay_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIDisplay.getName()`, `getDisplay()`
  Generated:

### getDisplay_Parent

    org.eclipse.emf.ecore.EReference getDisplay_Parent()

  Returns the meta object for the container reference '`Parent`'.

  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `MIDisplay.getParent()`, `getDisplay()`
  Generated:

### getDisplay_Id

    org.eclipse.emf.ecore.EAttribute getDisplay_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MIDisplay.getId()`, `getDisplay()`
  Generated:

### getView

    org.eclipse.emf.ecore.EClass getView()

  Returns the meta object for class '`View`'.

  Returns:
    the meta object for class 'View'.
  See Also:
    `MIView`
  Generated:

### getView_Name

    org.eclipse.emf.ecore.EAttribute getView_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIView.getName()`, `getView()`
  Generated:

### getView_Description

    org.eclipse.emf.ecore.EAttribute getView_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `MIView.getDescription()`, `getView()`
  Generated:

### getView_DisplayConnectors

    org.eclipse.emf.ecore.EReference getView_DisplayConnectors()

  Returns the meta object for the containment reference list '`Display Connectors`'.

  Returns:
    the meta object for the containment reference list 'Display Connectors'.
  See Also:
    `MIView.getDisplayConnectors()`, `getView()`
  Generated:

### getView_Id

    org.eclipse.emf.ecore.EAttribute getView_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MIView.getId()`, `getView()`
  Generated:

### getDisplayConnector

    org.eclipse.emf.ecore.EClass getDisplayConnector()

  Returns the meta object for class '`Display Connector`'.

  Returns:
    the meta object for class 'Display Connector'.
  See Also:
    `MIDisplayConnector`
  Generated:

### getDisplayConnector_Name

    org.eclipse.emf.ecore.EAttribute getDisplayConnector_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIDisplayConnector.getName()`, `getDisplayConnector()`
  Generated:

### getDisplayConnector_Display

    org.eclipse.emf.ecore.EReference getDisplayConnector_Display()

  Returns the meta object for the reference '`Display`'.

  Returns:
    the meta object for the reference 'Display'.
  See Also:
    `MIDisplayConnector.getDisplay()`, `getDisplayConnector()`
  Generated:

### getDisplayConnector_Id

    org.eclipse.emf.ecore.EAttribute getDisplayConnector_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MIDisplayConnector.getId()`, `getDisplayConnector()`
  Generated:

### getAnalysisComponent

    org.eclipse.emf.ecore.EClass getAnalysisComponent()

  Returns the meta object for class '`Analysis Component`'.

  Returns:
    the meta object for class 'Analysis Component'.
  See Also:
    `MIAnalysisComponent`
  Generated:

### getAnalysisComponent_Name

    org.eclipse.emf.ecore.EAttribute getAnalysisComponent_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIAnalysisComponent.getName()`, `getAnalysisComponent()`
  Generated:

### getAnalysisComponent_Classname

    org.eclipse.emf.ecore.EAttribute getAnalysisComponent_Classname()

  Returns the meta object for the attribute '`Classname`'.

  Returns:
    the meta object for the attribute 'Classname'.
  See Also:
    `MIAnalysisComponent.getClassname()`, `getAnalysisComponent()`
  Generated:

### getAnalysisComponent_Properties

    org.eclipse.emf.ecore.EReference getAnalysisComponent_Properties()

  Returns the meta object for the containment reference list '`Properties`'.

  Returns:
    the meta object for the containment reference list 'Properties'.
  See Also:
    `MIAnalysisComponent.getProperties()`, `getAnalysisComponent()`
  Generated:

### getAnalysisComponent_Id

    org.eclipse.emf.ecore.EAttribute getAnalysisComponent_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MIAnalysisComponent.getId()`, `getAnalysisComponent()`
  Generated:

### getAnalysisMetaModelFactory

    MIAnalysisMetaModelFactory getAnalysisMetaModelFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.
  Generated:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net